<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    { 
        Schema::create('infrastructures', function (Blueprint $table) {
            $table->id();
            
            $table->unsignedBigInteger('type_infrastructure_id');
            $table->foreign('type_infrastructure_id')->references('id')->on('type_infrastructures')
            ->constrained()
            ->onUpdate('restrict')
            ->onDelete('restrict'); 
            $table->Integer('nombre_movais'); 
            $table->Integer('nombre_moyens'); 
            $table->Integer('nombre_bons'); 
            $table->unsignedBigInteger('annee_id');
            $table->foreign('annee_id')->references('id')->on('annees')
            ->constrained()
            ->onUpdate('restrict')
            ->onDelete('restrict'); 
            $table->unsignedBigInteger('etablissement_id');
            $table->foreign('etablissement_id')->references('id')->on('etablissements')
            ->constrained()
            ->onUpdate('restrict')
            ->onDelete('restrict'); 
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('infrastructures'); 
    }
};
